ompi/mca/pml/teg/pml_teg_proc.h File Reference.TH "ompi/mca/pml/teg/pml_teg_proc.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/teg/pml_teg_proc.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'opal/threads/mutex.h'\fP
.br
\fC#include 'communicator/communicator.h'\fP
.br
\fC#include 'group/group.h'\fP
.br
\fC#include 'proc/proc.h'\fP
.br
\fC#include 'pml_ptl_array.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_pml_teg_proc_t\fP \fBmca_pml_teg_proc_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "static mca_pml_proc_t * \fBmca_pml_teg_proc_lookup_local\fP (ompi_communicator_t *comm, int rank)"
.br
.RI "\fIReturn the mca_pml_proc_t instance cached in the communicators local group. \fP"
.ti -1c
.RI "static mca_pml_proc_t * \fBmca_pml_teg_proc_lookup_remote\fP (ompi_communicator_t *comm, int rank)"
.br
.RI "\fIReturn the mca_pml_proc_t instance cached on the communicators remote group. \fP"
.ti -1c
.RI "static struct \fBmca_ptl_base_peer_t\fP * \fBmca_pml_teg_proc_lookup_remote_peer\fP (ompi_communicator_t *comm, int rank, struct \fBmca_ptl_base_module_t\fP *ptl)"
.br
.RI "\fIReturn the mca_ptl_peer_t instance corresponding to the process/ptl combination. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_COMP_EXPORT \fBopal_class_t\fP \fBmca_pml_teg_proc_t_class\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "static mca_pml_proc_t* mca_pml_teg_proc_lookup_local (ompi_communicator_t * comm, int rank)\fC [inline, static]\fP"
.PP
Return the mca_pml_proc_t instance cached in the communicators local group. 
.PP
\fBParameters:\fP
.RS 4
\fIcomm\fP Communicator 
.br
\fIrank\fP Peer rank 
.RE
.PP
\fBReturns:\fP
.RS 4
mca_pml_proc_t instance 
.RE
.PP

.SS "static mca_pml_proc_t* mca_pml_teg_proc_lookup_remote (ompi_communicator_t * comm, int rank)\fC [inline, static]\fP"
.PP
Return the mca_pml_proc_t instance cached on the communicators remote group. 
.PP
\fBParameters:\fP
.RS 4
\fIcomm\fP Communicator 
.br
\fIrank\fP Peer rank 
.RE
.PP
\fBReturns:\fP
.RS 4
mca_pml_proc_t instance 
.RE
.PP

.SS "static struct \fBmca_ptl_base_peer_t\fP* mca_pml_teg_proc_lookup_remote_peer (ompi_communicator_t * comm, int rank, struct \fBmca_ptl_base_module_t\fP * ptl)\fC [inline, static]\fP"
.PP
Return the mca_ptl_peer_t instance corresponding to the process/ptl combination. 
.PP
\fBParameters:\fP
.RS 4
\fIcomm\fP Communicator 
.br
\fIrank\fP Peer rank 
.RE
.PP
\fBReturns:\fP
.RS 4
mca_pml_proc_t instance 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
